> ## Documentation Index
> Fetch the complete documentation index at: https://docs.guilds.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List Votes

> List the current active votes



## OpenAPI

````yaml GET /votes
openapi: 3.0.1
info:
  title: Guilds API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.guilds.me/v1
security:
  - GuildsApiKeyAuth: []
    GuildsAppIdAuth: []
paths:
  /votes:
    get:
      description: List the current active votes
      responses:
        '200':
          description: Guild Votes response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FetchGuildVotes'
                type: object
        '401':
          description: Unauthorised
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorised'
components:
  schemas:
    FetchGuildVotes:
      type: object
      properties:
        totalVotes:
          description: Total number of votes for this guild all time
          type: integer
        monthlyVotes:
          description: The total number of votes for this guild this month
          type: integer
        votes:
          type: array
          items:
            $ref: '#/components/schemas/FetchVote'
    Unauthorised:
      required:
        - message
      type: object
      properties:
        status:
          type: integer
          enum:
            - 401
        error:
          type: string
          enum:
            - Unauthorised
    FetchVote:
      type: object
      properties:
        userId:
          description: Discord ID of this user
          type: string
        remaining:
          description: The time remaining of this users vote in miliseconds
          type: integer
        discord:
          description: Whether or not this vote was with the Discord command
          type: boolean
  securitySchemes:
    GuildsApiKeyAuth:
      type: apiKey
      in: header
      name: Guilds-Api-Key
      description: API Key specific to each guild
    GuildsAppIdAuth:
      type: apiKey
      in: header
      name: Guilds-App-Id
      description: App ID specific to each guild

````